curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
Clientes OAuth
Obter Cliente
Obtenha um cliente OAuth específico.
GET
/
v1
/
clients
/
{id}
curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
Obtenha os detalhes de um cliente OAuth específico.
string
obrigatório
Sua chave de API (prefixada com
wh_).string
obrigatório
ID do cliente.
curl -X GET https://api.whatabot.app/api/v1/clients/{id} \
-H "X-Api-Key: wh_your_api_key"
{
"id": "client-uuid",
"name": "My SaaS Embed",
"clientId": "wb_client_abc123",
"workspaceId": "workspace-uuid",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}